#
# spec file for package python-ovs
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-ovs
Version:        2.10.0
Release:        7.1
Summary:        Open vSwitch library
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.openvswitch.org/
Source:         https://files.pythonhosted.org/packages/source/o/ovs/ovs-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if 0%{?suse_version} > 1320 || ( 0%{?suse_version} == 1315 && 0%{?sle_version} > 120400 )
BuildRequires:  openvswitch-devel
%endif
BuildRequires:  python-rpm-macros
Requires:       python-sortedcontainers

%python_subpackages

%description
Python library for working with Open vSwitch


%prep
%setup -q -n ovs-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%doc README.rst
%{python_sitearch}/*

%changelog
* Fri Dec 14 2018 tbechtold@suse.com
- Fix build for SLE12SP4
* Wed Nov  7 2018 dmueller@suse.com
- build against openvswitch-devel to enable the c extensions
* Thu Oct 11 2018 dmueller@suse.com
- update to 2.10.0
- switch to singlespec
* Wed Apr 25 2018 tbechtold@suse.com
- update to 2.9.0
* Mon Jan 15 2018 tbechtold@suse.com
- update to 2.8.1
* Wed May 24 2017 tbechtold@suse.com
- update to 2.7.0
* Tue Nov 15 2016 dmueller@suse.com
- update to 2.6.1
* Thu Sep 29 2016 tbechtold@suse.com
- update to 2.6.0
* Thu Aug 11 2016 tbechtold@suse.com
- update to 2.6.0.dev3
* Fri Jul 29 2016 dmueller@suse.com
- update to 2.6.0.dev2
* Fri Mar  4 2016 tbechtold@suse.com
- Initial packaging (version 2.6.0.dev1)
